# Package org.apache.ignite.internal.util.offheap

Interface Summary
GridOffHeapEventListener: Off-heap event listener.
GridOffHeapEvictListener: Callback for whenever entries get evicted from off-heap store.
GridOffHeapMap: Off-heap map.
GridOffHeapPartitionedMap: Off-heap map.

Class Summary
GridOffHeapMapFactory: Factory for off-heap maps.

Enum Summary
GridOffHeapEvent: Off-heap event types.

Exception Summary
GridOffHeapOutOfMemoryException: Thrown when memory could not be allocated.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019